Ptex

Public Attributes | List of all members
PtexMainWriter::FaceRec Struct Reference

## Public Attributes
std::vector< std::vector< std::byte > > | faceData
std::vector< FaceDataHeader > | fdh
Mutex | mutex

## Detailed Description

Definition at line 140 of file PtexWriter.h.

## Member Data Documentation

## ◆ faceData

std::vector<std::vector<std::byte> > PtexMainWriter::FaceRec::faceData

Definition at line 141 of file PtexWriter.h.

Referenced by PtexMainWriter::finish(), and PtexMainWriter::writeFace().

## ◆ fdh

std::vector<FaceDataHeader> PtexMainWriter::FaceRec::fdh

Definition at line 142 of file PtexWriter.h.

Referenced by PtexMainWriter::finish(), and PtexMainWriter::writeFace().

## ◆ mutex

Mutex PtexMainWriter::FaceRec::mutex

Definition at line 143 of file PtexWriter.h.

Referenced by PtexMainWriter::writeFace().

The documentation for this struct was generated from the following file:

- PtexWriter.h